Skip to main content
DELETE
/
v1
/
runs
/
{workflow_run_id}
/
tags
/
{key}
Delete run tag
curl --request DELETE \
  --url https://api.skyvern.com/v1/runs/{workflow_run_id}/tags/{key}
import requests

url = "https://api.skyvern.com/v1/runs/{workflow_run_id}/tags/{key}"

response = requests.delete(url)

print(response.text)
const options = {method: 'DELETE'};

fetch('https://api.skyvern.com/v1/runs/{workflow_run_id}/tags/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "workflow_run_id": "<string>",
  "tags": [
    {
      "value": "<string>",
      "source": "<string>",
      "set_at": "2023-11-07T05:31:56Z",
      "set_by": "<string>",
      "key": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

workflow_run_id
string
required

Workflow run ID

Example:

"wr_123"

key
string
required

Tag key to delete

Example:

"env"

Response

Successfully deleted tag (or no-op if absent)

Current tags for a workflow run.

workflow_run_id
string
required
tags
TagResponse · object[]
required